Package org.eclipse.compare.internal

# Class StructureCreatorDescriptor

java.lang.Object
org.eclipse.compare.internal.StructureCreatorDescriptor

public class StructureCreatorDescriptor extends Object
A factory proxy for creating a StructureCreator.

## Constructor Summary

Constructors
Constructor
Description
`StructureCreatorDescriptor(IConfigurationElement element)`

## Method Summary

Modifier and Type
Method
Description
`IStructureCreator`
`createStructureCreator()`
`String`
`getExtension()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### StructureCreatorDescriptor

public StructureCreatorDescriptor(IConfigurationElement element)

## Method Details

### createStructureCreator

public IStructureCreator createStructureCreator()

### getExtension

public String getExtension()